.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;

    &__header {
        z-index: 1200;
        position: relative;
    }

    &__main {
        flex-grow: 1;
        padding: rem(48) 0 rem(64) 0;
    }
}

.channels {
    margin-bottom: rem(37);

    @include media-breakpoint-up(lg) {
        display: flex;
        justify-content: space-between;
    }

    @include media-breakpoint-up(xl) {
        grid-column-gap: rem(40);
    }
}

.channel {
    color: $black;
    font-weight: 400;
    font-size: 14px;
    line-height: 135%;
    text-decoration: none;
    display: flex;
    align-items: center;
    background: #E4E8E7;
    border-radius: 18px;
    padding: rem(15) rem(20) rem(15) rem(20);
    margin-bottom: 20px;

    &:last-child {
        margin-bottom: 0;
    }

    &:hover {
        color: $black;
        text-decoration: none;
    }

    &:active {
        background: #D8DBDA;
        transition: .3s;
    }

    &__logo {
        width: rem(70);
        flex-shrink: 0;
        display: block;
    }

    &__content {
        display: block;
        font-style: normal;
        padding-left: rem(10);
    }

    &__title {
        display: block;
        font-weight: 700;
    }

    &__text {
        display: block;
        padding: rem(1) 0;
    }

    &__name {
        display: block;
        font-weight: 700;
    }

    @include media-breakpoint-up(lg) {
        width: calc(33.33% - 1rem);
        margin-bottom: 0;
    }

    @include media-breakpoint-up(xl) {
        background: transparent;
        transition: .3s;
        width: auto;
        white-space: nowrap;

        &:hover {
            background: #E4E8E7;
            transition: .3s;
        }

        &:active {
            background: #D8DBDA;
            transition: .3s;
        }
    }
}

.showcase {
}

.item {
    overflow: hidden;
    position: relative;
    padding: rem(13) rem(17);
    border-radius: 10px;
    margin-bottom: rem(12);
    box-shadow: 0px 5px 20px rgba(0, 0, 0, 0.12);

    &__header {
        display: flex;
        align-items: center;
        margin-bottom: rem(20);
    }

    &__logo {
        width: rem(60);
        flex-shrink: 0;
        margin-right: rem(17);
    }

    &__title {
        font-weight: 500;
        font-size: rem(18);
        line-height: 135%;
    }

    &__content {
        font-weight: 300;
        font-size: rem(15);
        line-height: 135%;
        margin-bottom: rem(10);
    }

    &__list {
        margin: 0;
        padding: 0;
        list-style: none;

        li {

            &:before {
                content: '- ';
            }
        }
    }

    &__row {
        display: flex;
    }

    &__col {
        width: 50%;
    }

    &__info {
        text-align: center;
        height: rem(40);
        background: #E4E8E7;
        min-width: rem(110);
        border-radius: rem(20);
        display: inline-flex;
        align-items: center;
        justify-content: center;
        margin-top: rem(10);
    }

    &__button {
        z-index: 20;
        position: relative;
        display: inline-flex;
        margin-top: rem(10);
    }

    .btn {
        min-width: rem(110);
    }

    &__link {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 5;
        display: block;
        position: absolute;
    }

    @include media-breakpoint-up(md) {
        display: flex;
        align-items: center;
        flex-wrap: wrap;

        &__header {
            width: 50%;
            margin-bottom: 0;
        }

        &__content {
            width: 50%;
            margin-bottom: 0;
        }

        &__info {
            margin-right: rem(10);
        }
    }

    @include media-breakpoint-up(lg) {
        flex-wrap: nowrap;

        &__info {
            margin-top: 0;
            flex-shrink: 0;
        }

        &__button {
            margin-top: 0;
            flex-shrink: 0;
        }

        &__title {
            width: rem(170);
            flex-shrink: 0;
        }

        &__header {
            width: auto;
            text-align: center;
            margin-right: rem(10);
        }

        &__content {
            width: auto;
            flex-grow: 1;
            padding-right: rem(20);
        }
    }

    @include media-breakpoint-up(xl) {
        transition: .3s;

        &:hover {
            box-shadow: 0px 5px 30px rgba(0, 0, 0, 0.4);
            transition: .3s;
        }

        &__title {
            font-size: rem(20);
            width: rem(204);
        }

        &__header {
            margin-right: rem(17);
        }

        &__content {
            column-count: 2;
            column-gap: rem(10);
            padding-right: rem(50);
        }
    }
}

.page-heading {
    text-align: center;
    text-transform: uppercase;
    margin-bottom: rem(54);

    @include media-breakpoint-up(lg) {
        margin-bottom: rem(96);
    }
}

.product-header {
    margin-bottom: rem(48);

    &__title {
        font-weight: 500;
        font-size: rem(24);
        line-height: 135%;
        margin-bottom: rem(22);
    }

    &__text {
        font-weight: 500;
        font-size: rem(16);
        line-height: 135%;
    }
}

.product {

    &__aside {
        margin-bottom: rem(40);
    }

    &__content {
        line-height: 135%;

        p {
            margin-bottom: 0;
        }
    }

    @include media-breakpoint-up(lg) {
        display: flex;

        &__aside {
            width: rem(201);
            margin-bottom: 0;
            flex-shrink: 0;
        }

        &__content {
            flex-grow: 1;
            padding-left: rem(56);
        }
    }
}

.product-media {
    margin: rem(24) 0;
}

.product-info {
    text-align: center;
    width: rem(201);
    margin: 0 auto;

    &__image {
        margin-bottom: rem(14);
    }

    &__content {
        font-size: rem(15);
        line-height: 135%;
        margin-bottom: rem(15);

        strong {
            font-weight: 500;
        }
    }

    &__price {
        margin-bottom: rem(4);
    }

    .btn {
        width: 100%;
    }

    @include media-breakpoint-up(lg) {
        margin: 0;
    }
}


@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
